# neutron

## network log create

Create a new network log

    openstack network log create
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--project <project>]
        [--project-domain <project-domain>]
        [--event {ALL,ACCEPT,DROP}]
        --resource-type <resource-type>
        [--resource <resource>]
        [--target <target>]
        <name>

--description <description>

  Description of the network log

--enable

  Enable this log

--disable

  Disable this log (default is enabled)

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--event {ALL,ACCEPT,DROP}

  An event to store with log

--resource-type <resource-type>

  Network log type(s). You can see supported type(s) with following command: $ openstack network loggable resources list

--resource <resource>

  Name or ID of resource (security group or firewall group) that used for logging. You can control for logging target combination with –target option.

--target <target>

  Port (name or ID) for logging. You can control for logging target combination with –resource option.

name

  Name for the network log

This command is provided by the python-neutronclient plugin.

## network log delete

Delete network log(s)

    openstack network log delete <network-log> [<network-log> ...]

network-log

  Network log(s) to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## network log list

List network logs

    openstack network log list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## network log set

Set network log properties

    openstack network log set
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--name <name>]
        <network-log>

--description <description>

  Description of the network log

--enable

  Enable this log

--disable

  Disable this log (default is enabled)

--name <name>

  Name of the network log

network-log

  Network log to set (name or ID)

This command is provided by the python-neutronclient plugin.

## network log show

Display network log details

    openstack network log show <network-log>

network-log

  Network log to show (name or ID)

This command is provided by the python-neutronclient plugin.

## network loggable resources list

List supported loggable resources

    openstack network loggable resources list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## network onboard subnets

Onboard network subnets into a subnet pool

    openstack network onboard subnets <network> <subnetpool>

network

  Onboard all subnets associated with this network

subnetpool

  Target subnet pool for onboarding subnets

This command is provided by the python-neutronclient plugin.

## sfc flow classifier create

Create a flow classifier

    openstack sfc flow classifier create
        [--description <description>]
        [--protocol <protocol>]
        [--ethertype {IPv4,IPv6}]
        [--source-port <min-port>:<max-port>]
        [--destination-port <min-port>:<max-port>]
        [--source-ip-prefix <source-ip-prefix>]
        [--destination-ip-prefix <destination-ip-prefix>]
        [--logical-source-port <logical-source-port>]
        [--logical-destination-port <logical-destination-port>]
        [--l7-parameters L7_PARAMETERS]
        <name>

--description <description>

  Description for the flow classifier

--protocol <protocol>

  IP protocol name. Protocol name should be as per IANA standard.

--ethertype {IPv4,IPv6}

  L2 ethertype, default is IPv4

--source-port <min-port>:<max-port>

  Source protocol port (allowed range [1,65535]. Must be specified as a:b, where a=min-port and b=max-port) in the allowed range.

--destination-port <min-port>:<max-port>

  Destination protocol port (allowed range [1,65535]. Must be specified as a:b, where a=min-port and b=max-port) in the allowed range.

--source-ip-prefix <source-ip-prefix>

  Source IP address in CIDR notation

--destination-ip-prefix <destination-ip-prefix>

  Destination IP address in CIDR notation

--logical-source-port <logical-source-port>

  Neutron source port (name or ID)

--logical-destination-port <logical-destination-port>

  Neutron destination port (name or ID)

--l7-parameters <L7_PARAMETERS>

  Dictionary of L7 parameters. Currently, no value is supported for this option.

name

  Name of the flow classifier

This command is provided by the python-neutronclient plugin.

## sfc flow classifier delete

Delete a given flow classifier

    openstack sfc flow classifier delete
        <flow-classifier>
        [<flow-classifier> ...]

flow-classifier

  Flow classifier(s) to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc flow classifier list

List flow classifiers

    openstack sfc flow classifier list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## sfc flow classifier set

Set flow classifier properties

    openstack sfc flow classifier set
        [--name <name>]
        [--description <description>]
        <flow-classifier>

--name <name>

  Name of the flow classifier

--description <description>

  Description for the flow classifier

flow-classifier

  Flow classifier to modify (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc flow classifier show

Display flow classifier details

    openstack sfc flow classifier show <flow-classifier>

flow-classifier

  Flow classifier to display (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port chain create

Create a port chain

    openstack sfc port chain create
        [--description <description>]
        [--flow-classifier <flow-classifier>]
        [--chain-parameters correlation=<correlation-type>,symmetric=<boolean>]
        --port-pair-group <port-pair-group>
        <name>

--description <description>

  Description for the port chain

--flow-classifier <flow-classifier>

  Add flow classifier (name or ID). This option can be repeated.

--chain-parameters correlation=<correlation-type>,symmetric=<boolean>

  Dictionary of chain parameters. Supports correlation=(mpls|nsh) (default is mpls) and symmetric=(true|false).

--port-pair-group <port-pair-group>

  Add port pair group (name or ID). This option can be repeated.

name

  Name of the port chain

This command is provided by the python-neutronclient plugin.

## sfc port chain delete

Delete a given port chain

    openstack sfc port chain delete <port-chain> [<port-chain> ...]

port-chain

  Port chain(s) to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port chain list

List port chains

    openstack sfc port chain list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## sfc port chain set

Set port chain properties

    openstack sfc port chain set
        [--name <name>]
        [--description <description>]
        [--flow-classifier <flow-classifier>]
        [--no-flow-classifier]
        [--port-pair-group <port-pair-group>]
        [--no-port-pair-group]
        <port-chain>

--name <name>

  Name of the port chain

--description <description>

  Description for the port chain

--flow-classifier <flow-classifier>

  Add flow classifier (name or ID). This option can be repeated.

--no-flow-classifier

  Remove associated flow classifiers from the port chain

--port-pair-group <port-pair-group>

  Add port pair group (name or ID). Current port pair groups order is kept, the added port pair group will be placed at the end of the port chain. This option can be repeated.

--no-port-pair-group

  Remove associated port pair groups from the port chain. At least one –port-pair-group must be specified together.

port-chain

  Port chain to modify (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port chain show

Display port chain details

    openstack sfc port chain show <port-chain>

port-chain

  Port chain to display (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port chain unset

Unset port chain properties

    openstack sfc port chain unset
        [--flow-classifier
        <flow-classifier>
        |
        --all-flow-classifier
        ]
        [--port-pair-group <port-pair-group>]
        <port-chain>

--flow-classifier <flow-classifier>

  Remove flow classifier(s) from the port chain (name or ID). This option can be repeated.

--all-flow-classifier

  Remove all flow classifiers from the port chain

--port-pair-group <port-pair-group>

  Remove port pair group(s) from the port chain (name or ID). This option can be repeated.

port-chain

  Port chain to unset (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair create

Create a port pair

    openstack sfc port pair create
        [--description <description>]
        [--service-function-parameters correlation=<correlation-type>,weight=<weight>]
        --ingress <ingress>
        --egress <egress>
        <name>

--description <description>

  Description for the port pair

--service-function-parameters correlation=<correlation-type>,weight=<weight>

  Dictionary of service function parameters. Currently, correlation=(None|mpls|nsh) and weight are supported. Weight is an integer that influences the selection of a port pair within a port pair group for a flow. The higher the weight, the more flows will hash to the port pair. The default weight is 1.

--ingress <ingress>

  Ingress neutron port (name or ID)

--egress <egress>

  Egress neutron port (name or ID)

name

  Name of the port pair

This command is provided by the python-neutronclient plugin.

## sfc port pair delete

Delete a given port pair

    openstack sfc port pair delete <port-pair> [<port-pair> ...]

port-pair

  Port pair(s) to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair group create

Create a port pair group

    openstack sfc port pair group create
        [--description <description>]
        [--port-pair <port-pair>]
        [--enable-tap | --disable-tap]
        [--port-pair-group-parameters lb-fields=<lb-fields>]
        <name>

--description <description>

  Description for the port pair group

--port-pair <port-pair>

  Port pair (name or ID). This option can be repeated.

--enable-tap

  Port pairs of this port pair group are deployed as passive tap service function

--disable-tap

  Port pairs of this port pair group are deployed as l3 service function (default)

--port-pair-group-parameters lb-fields=<lb-fields>

  Dictionary of port pair group parameters. Currently only one parameter lb-fields is supported. <lb-fields> is a & separated list of load-balancing fields.

name

  Name of the port pair group

This command is provided by the python-neutronclient plugin.

## sfc port pair group delete

Delete a given port pair group

    openstack sfc port pair group delete
        <port-pair-group>
        [<port-pair-group> ...]

port-pair-group

  Port pair group(s) to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair group list

List port pair group

    openstack sfc port pair group list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## sfc port pair group set

Set port pair group properties

    openstack sfc port pair group set
        [--name <name>]
        [--description <description>]
        [--port-pair <port-pair>]
        [--no-port-pair]
        <port-pair-group>

--name <name>

  Name of the port pair group

--description <description>

  Description for the port pair group

--port-pair <port-pair>

  Port pair (name or ID). This option can be repeated.

--no-port-pair

  Remove all port pair from port pair group

port-pair-group

  Port pair group to modify (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair group show

Display port pair group details

    openstack sfc port pair group show <port-pair-group>

port-pair-group

  Port pair group to display (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair group unset

Unset port pairs from port pair group

    openstack sfc port pair group unset
        [--port-pair
        <port-pair>
        |
        --all-port-pair
        ]
        <port-pair-group>

--port-pair <port-pair>

  Remove port pair(s) from the port pair group (name or ID). This option can be repeated.

--all-port-pair

  Remove all port pairs from the port pair group

port-pair-group

  Port pair group to unset (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair list

List port pairs

    openstack sfc port pair list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## sfc port pair set

Set port pair properties

    openstack sfc port pair set
        [--name <name>]
        [--description <description>]
        <port-pair>

--name <name>

  Name of the port pair

--description <description>

  Description for the port pair

port-pair

  Port pair to modify (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc port pair show

Display port pair details

    openstack sfc port pair show <port-pair>

port-pair

  Port pair to display (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc service graph create

Create a service graph.

    openstack sfc service graph create
        [--description DESCRIPTION]
        --branching-point SRC_CHAIN
        :DST_CHAIN_1,DST_CHAIN_2,DST_CHAIN_N
        <name>

--description <DESCRIPTION>

  Description for the service graph.

--branching-point SRC_CHAIN:DST_CHAIN_1,DST_CHAIN_2,DST_CHAIN_N

  Service graph branching point: the key is the source Port Chain while the value is a list of destination Port Chains. This option can be repeated.

name

  Name of the service graph.

This command is provided by the python-neutronclient plugin.

## sfc service graph delete

Delete a given service graph.

    openstack sfc service graph delete
        <service-graph>
        [<service-graph> ...]

service-graph

  ID or name of the service graph(s) to delete.

This command is provided by the python-neutronclient plugin.

## sfc service graph list

List service graphs

    openstack sfc service graph list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## sfc service graph set

Set service graph properties

    openstack sfc service graph set
        [--name <name>]
        [--description <description>]
        <service-graph>

--name <name>

  Name of the service graph

--description <description>

  Description for the service graph

service-graph

  Service graph to modify (name or ID)

This command is provided by the python-neutronclient plugin.

## sfc service graph show

Show information of a given service graph.

    openstack sfc service graph show <service-graph>

service-graph

  ID or name of the service graph to display.

This command is provided by the python-neutronclient plugin.

## vpn endpoint group create

Create an endpoint group

    openstack vpn endpoint group create
        [--description <description>]
        --type TYPE
        --value ENDPOINTS
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--description <description>

  Description for the endpoint group

--type <TYPE>

  Type of endpoints in group (e.g. subnet, cidr)

--value <ENDPOINTS>

  Endpoint(s) for the group. Must all be of the same type. (–value) option can be repeated

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name for the endpoint group

This command is provided by the python-neutronclient plugin.

## vpn endpoint group delete

Delete endpoint group(s)

    openstack vpn endpoint group delete
        <endpoint-group>
        [<endpoint-group> ...]

endpoint-group

  Endpoint group(s) to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn endpoint group list

List endpoint groups that belong to a given project

    openstack vpn endpoint group list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## vpn endpoint group set

Set endpoint group properties

    openstack vpn endpoint group set
        [--description <description>]
        [--name <name>]
        <endpoint-group>

--description <description>

  Description for the endpoint group

--name <name>

  Set a name for the endpoint group

endpoint-group

  Endpoint group to set (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn endpoint group show

Display endpoint group details

    openstack vpn endpoint group show <endpoint-group>

endpoint-group

  Endpoint group to display (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ike policy create

Create an IKE policy

    openstack vpn ike policy create
        [--description <description>]
        [--auth-algorithm {sha1,sha256,sha384,sha512,aes-xcbc,aes-cmac}]
        [--encryption-algorithm {3des,aes-128,aes-192,aes-256,aes-128-ccm-8,aes-192-ccm-8,aes-256-ccm-8,aes-128-ccm-12,aes-192-ccm-12,aes-256-ccm-12,aes-128-ccm-16,aes-192-ccm-16,aes-256-ccm-16,aes-128-gcm-8,aes-192-gcm-8,aes-256-gcm-8,aes-128-gcm-12,aes-192-gcm-12,aes-256-gcm-12,aes-128-gcm-16,aes-192-gcm-16,aes-256-gcm-16,aes-128-ctr,aes-192-ctr,aes-256-ctr}]
        [--phase1-negotiation-mode {main,aggressive}]
        [--ike-version {v1,v2}]
        [--pfs {group2,group5,group14,group15,group16,group17,group18,group19,group20,group21,group22,group23,group24,group25,group26,group27,group28,group29,group30,group31}]
        [--lifetime units=UNITS,value=VALUE]
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--description <description>

  Description of the IKE policy

--auth-algorithm <AUTH_ALGORITHM>

  Authentication algorithm

--encryption-algorithm <ENCRYPTION_ALGORITHM>

  Encryption algorithm

--phase1-negotiation-mode <PHASE1_NEGOTIATION_MODE>

  IKE Phase1 negotiation mode

--ike-version <IKE_VERSION>

  IKE version for the policy

--pfs <PFS>

  Perfect Forward Secrecy

--lifetime units=UNITS,value=VALUE

  IKE lifetime attributes. ‘units’-seconds, default:seconds. ‘value’-non negative integer, default:3600.

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name of the IKE policy

This command is provided by the python-neutronclient plugin.

## vpn ike policy delete

Delete IKE policy (policies)

    openstack vpn ike policy delete <ike-policy> [<ike-policy> ...]

ike-policy

  IKE policy to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ike policy list

List IKE policies that belong to a given project

    openstack vpn ike policy list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## vpn ike policy set

Set IKE policy properties

    openstack vpn ike policy set
        [--description <description>]
        [--auth-algorithm {sha1,sha256,sha384,sha512,aes-xcbc,aes-cmac}]
        [--encryption-algorithm {3des,aes-128,aes-192,aes-256,aes-128-ccm-8,aes-192-ccm-8,aes-256-ccm-8,aes-128-ccm-12,aes-192-ccm-12,aes-256-ccm-12,aes-128-ccm-16,aes-192-ccm-16,aes-256-ccm-16,aes-128-gcm-8,aes-192-gcm-8,aes-256-gcm-8,aes-128-gcm-12,aes-192-gcm-12,aes-256-gcm-12,aes-128-gcm-16,aes-192-gcm-16,aes-256-gcm-16,aes-128-ctr,aes-192-ctr,aes-256-ctr}]
        [--phase1-negotiation-mode {main,aggressive}]
        [--ike-version {v1,v2}]
        [--pfs {group2,group5,group14,group15,group16,group17,group18,group19,group20,group21,group22,group23,group24,group25,group26,group27,group28,group29,group30,group31}]
        [--lifetime units=UNITS,value=VALUE]
        [--name <name>]
        <ike-policy>

--description <description>

  Description of the IKE policy

--auth-algorithm <AUTH_ALGORITHM>

  Authentication algorithm

--encryption-algorithm <ENCRYPTION_ALGORITHM>

  Encryption algorithm

--phase1-negotiation-mode <PHASE1_NEGOTIATION_MODE>

  IKE Phase1 negotiation mode

--ike-version <IKE_VERSION>

  IKE version for the policy

--pfs <PFS>

  Perfect Forward Secrecy

--lifetime units=UNITS,value=VALUE

  IKE lifetime attributes. ‘units’-seconds, default:seconds. ‘value’-non negative integer, default:3600.

--name <name>

  Name of the IKE policy

ike-policy

  IKE policy to set (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ike policy show

Display IKE policy details

    openstack vpn ike policy show <ike-policy>

ike-policy

  IKE policy to display (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ipsec policy create

Create an IPsec policy

    openstack vpn ipsec policy create
        [--description <description>]
        [--auth-algorithm {sha1,sha256,sha384,sha512,aes-xcbc,aes-cmac}]
        [--encapsulation-mode {tunnel,transport}]
        [--encryption-algorithm {3des,aes-128,aes-192,aes-256,aes-128-ccm-8,aes-192-ccm-8,aes-256-ccm-8,aes-128-ccm-12,aes-192-ccm-12,aes-256-ccm-12,aes-128-ccm-16,aes-192-ccm-16,aes-256-ccm-16,aes-128-gcm-8,aes-192-gcm-8,aes-256-gcm-8,aes-128-gcm-12,aes-192-gcm-12,aes-256-gcm-12,aes-128-gcm-16,aes-192-gcm-16,aes-256-gcm-16,aes-128-ctr,aes-192-ctr,aes-256-ctr}]
        [--lifetime units=UNITS,value=VALUE]
        [--pfs {group2,group5,group14,group15,group16,group17,group18,group19,group20,group21,group22,group23,group24,group25,group26,group27,group28,group29,group30,group31}]
        [--transform-protocol {esp,ah,ah-esp}]
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--description <description>

  Description of the IPsec policy

--auth-algorithm <AUTH_ALGORITHM>

  Authentication algorithm for IPsec policy

--encapsulation-mode <ENCAPSULATION_MODE>

  Encapsulation mode for IPsec policy

--encryption-algorithm <ENCRYPTION_ALGORITHM>

  Encryption algorithm for IPsec policy

--lifetime units=UNITS,value=VALUE

  IPsec lifetime attributes. ‘units’-seconds, default:seconds. ‘value’-non negative integer, default:3600.

--pfs <PFS>

  Perfect Forward Secrecy for IPsec policy

--transform-protocol <TRANSFORM_PROTOCOL>

  Transform protocol for IPsec policy

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name of the IPsec policy

This command is provided by the python-neutronclient plugin.

## vpn ipsec policy delete

Delete IPsec policy(policies)

    openstack vpn ipsec policy delete <ipsec-policy> [<ipsec-policy> ...]

ipsec-policy

  ipsec policy to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ipsec policy list

List IPsec policies that belong to a given project

    openstack vpn ipsec policy list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## vpn ipsec policy set

Set IPsec policy properties

    openstack vpn ipsec policy set
        [--description <description>]
        [--auth-algorithm {sha1,sha256,sha384,sha512,aes-xcbc,aes-cmac}]
        [--encapsulation-mode {tunnel,transport}]
        [--encryption-algorithm {3des,aes-128,aes-192,aes-256,aes-128-ccm-8,aes-192-ccm-8,aes-256-ccm-8,aes-128-ccm-12,aes-192-ccm-12,aes-256-ccm-12,aes-128-ccm-16,aes-192-ccm-16,aes-256-ccm-16,aes-128-gcm-8,aes-192-gcm-8,aes-256-gcm-8,aes-128-gcm-12,aes-192-gcm-12,aes-256-gcm-12,aes-128-gcm-16,aes-192-gcm-16,aes-256-gcm-16,aes-128-ctr,aes-192-ctr,aes-256-ctr}]
        [--lifetime units=UNITS,value=VALUE]
        [--pfs {group2,group5,group14,group15,group16,group17,group18,group19,group20,group21,group22,group23,group24,group25,group26,group27,group28,group29,group30,group31}]
        [--transform-protocol {esp,ah,ah-esp}]
        [--name <name>]
        <ipsec-policy>

--description <description>

  Description of the IPsec policy

--auth-algorithm <AUTH_ALGORITHM>

  Authentication algorithm for IPsec policy

--encapsulation-mode <ENCAPSULATION_MODE>

  Encapsulation mode for IPsec policy

--encryption-algorithm <ENCRYPTION_ALGORITHM>

  Encryption algorithm for IPsec policy

--lifetime units=UNITS,value=VALUE

  IPsec lifetime attributes. ‘units’-seconds, default:seconds. ‘value’-non negative integer, default:3600.

--pfs <PFS>

  Perfect Forward Secrecy for IPsec policy

--transform-protocol <TRANSFORM_PROTOCOL>

  Transform protocol for IPsec policy

--name <name>

  Name of the IPsec policy

ipsec-policy

  IPsec policy to set (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ipsec policy show

Display IPsec policy details

    openstack vpn ipsec policy show <ipsec-policy>

ipsec-policy

  IPsec policy to display (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ipsec site connection create

Create an IPsec site connection

    openstack vpn ipsec site connection create
        [--description <description>]
        [--dpd action=ACTION,interval=INTERVAL,timeout=TIMEOUT]
        [--mtu MTU]
        [--initiator {bi-directional,response-only}]
        [--peer-cidr
        PEER_CIDRS
        |
        --local-endpoint-group LOCAL_ENDPOINT_GROUP
        ]
        [--peer-endpoint-group PEER_ENDPOINT_GROUP]
        [--enable | --disable]
        [--local-id LOCAL_ID]
        --peer-id PEER_ID
        --peer-address PEER_ADDRESS
        --psk PSK
        --vpnservice VPNSERVICE
        --ikepolicy IKEPOLICY
        --ipsecpolicy IPSECPOLICY
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--description <description>

  Description for the connection

--dpd action=ACTION,interval=INTERVAL,timeout=TIMEOUT

  Ipsec connection Dead Peer Detection attributes. ‘action’-hold,clear,disabled,restart,restart-by-peer. ‘interval’ and ‘timeout’ are non negative integers. ‘interval’ should be less than ‘timeout’ value. ‘action’, default:hold ‘interval’, default:30, ‘timeout’, default:120.

--mtu <MTU>

  MTU size for the connection

--initiator <INITIATOR>

  Initiator state

--peer-cidr <PEER_CIDRS>

  Remote subnet(s) in CIDR format. Cannot be specified when using endpoint groups. Only applicable, if subnet provided for VPN service.

--local-endpoint-group <LOCAL_ENDPOINT_GROUP>

  Local endpoint group (name or ID) with subnet(s) for IPsec connection

--peer-endpoint-group <PEER_ENDPOINT_GROUP>

  Peer endpoint group (name or ID) with CIDR(s) for IPSec connection

--enable

  Enable IPSec site connection

--disable

  Disable IPSec site connection

--local-id <LOCAL_ID>

  An ID to be used instead of the external IP address for a virtual router

--peer-id <PEER_ID>

  Peer router identity for authentication. Can be IPv4/IPv6 address, e-mail address, key id, or FQDN

--peer-address <PEER_ADDRESS>

  Peer gateway public IPv4/IPv6 address or FQDN

--psk <PSK>

  Pre-shared key string.

--vpnservice VPNSERVICE

  VPN service instance associated with this connection (name or ID)

--ikepolicy IKEPOLICY

  IKE policy associated with this connection (name or ID)

--ipsecpolicy IPSECPOLICY

  IPsec policy associated with this connection (name or ID)

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Set friendly name for the connection

This command is provided by the python-neutronclient plugin.

## vpn ipsec site connection delete

Delete IPsec site connection(s)

    openstack vpn ipsec site connection delete
        <ipsec-site-connection>
        [<ipsec-site-connection> ...]

ipsec-site-connection

  IPsec site connection to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ipsec site connection list

List IPsec site connections that belong to a given project

    openstack vpn ipsec site connection list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## vpn ipsec site connection set

Set IPsec site connection properties

    openstack vpn ipsec site connection set
        [--description <description>]
        [--dpd action=ACTION,interval=INTERVAL,timeout=TIMEOUT]
        [--mtu MTU]
        [--initiator {bi-directional,response-only}]
        [--peer-cidr
        PEER_CIDRS
        |
        --local-endpoint-group LOCAL_ENDPOINT_GROUP
        ]
        [--peer-endpoint-group PEER_ENDPOINT_GROUP]
        [--enable | --disable]
        [--local-id LOCAL_ID]
        [--peer-id PEER_ID]
        [--peer-address PEER_ADDRESS]
        [--name <name>]
        <ipsec-site-connection>

--description <description>

  Description for the connection

--dpd action=ACTION,interval=INTERVAL,timeout=TIMEOUT

  Ipsec connection Dead Peer Detection attributes. ‘action’-hold,clear,disabled,restart,restart-by-peer. ‘interval’ and ‘timeout’ are non negative integers. ‘interval’ should be less than ‘timeout’ value. ‘action’, default:hold ‘interval’, default:30, ‘timeout’, default:120.

--mtu <MTU>

  MTU size for the connection

--initiator <INITIATOR>

  Initiator state

--peer-cidr <PEER_CIDRS>

  Remote subnet(s) in CIDR format. Cannot be specified when using endpoint groups. Only applicable, if subnet provided for VPN service.

--local-endpoint-group <LOCAL_ENDPOINT_GROUP>

  Local endpoint group (name or ID) with subnet(s) for IPsec connection

--peer-endpoint-group <PEER_ENDPOINT_GROUP>

  Peer endpoint group (name or ID) with CIDR(s) for IPSec connection

--enable

  Enable IPSec site connection

--disable

  Disable IPSec site connection

--local-id <LOCAL_ID>

  An ID to be used instead of the external IP address for a virtual router

--peer-id <PEER_ID>

  Peer router identity for authentication. Can be IPv4/IPv6 address, e-mail address, key id, or FQDN

--peer-address <PEER_ADDRESS>

  Peer gateway public IPv4/IPv6 address or FQDN

--name <name>

  Set friendly name for the connection

ipsec-site-connection

  IPsec site connection to set (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn ipsec site connection show

Show information of a given IPsec site connection

    openstack vpn ipsec site connection show <ipsec-site-connection>

ipsec-site-connection

  IPsec site connection to display (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn service create

Create an VPN service

    openstack vpn service create
        [--description <description>]
        [--subnet <subnet>]
        [--flavor <flavor>]
        [--enable | --disable]
        --router ROUTER
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--description <description>

  Description for the VPN service

--subnet <subnet>

  Local private subnet (name or ID)

--flavor <flavor>

  Flavor for the VPN service (name or ID)

--enable

  Enable VPN service

--disable

  Disable VPN service

--router ROUTER

  Router for the VPN service (name or ID)

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name for the VPN service

This command is provided by the python-neutronclient plugin.

## vpn service delete

Delete VPN service(s)

    openstack vpn service delete <vpn-service> [<vpn-service> ...]

vpn-service

  VPN service to delete (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn service list

List VPN services that belong to a given project

    openstack vpn service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-neutronclient plugin.

## vpn service set

Set VPN service properties

    openstack vpn service set
        [--description <description>]
        [--subnet <subnet>]
        [--flavor <flavor>]
        [--enable | --disable]
        [--name <name>]
        <vpn-service>

--description <description>

  Description for the VPN service

--subnet <subnet>

  Local private subnet (name or ID)

--flavor <flavor>

  Flavor for the VPN service (name or ID)

--enable

  Enable VPN service

--disable

  Disable VPN service

--name <name>

  Name for the VPN service

vpn-service

  VPN service to modify (name or ID)

This command is provided by the python-neutronclient plugin.

## vpn service show

Display VPN service details

    openstack vpn service show <vpn-service>

vpn-service

  VPN service to display (name or ID)

This command is provided by the python-neutronclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.